Summary:   A set of GNU text file modifying utilities.
Name:      textutils
Version:   1.22m
Release:   1
Source:    ftp://alpha.gnu.org/gnu/fetish/%{name}-%{version}.tar.gz
Copyright: GPL
Group:     Applications/Text
Prereq:    /sbin/install-info
BuildRoot: /tmp/%{name}-%{version}-root

%description
A set of GNU utilities for modifying the contents of files, including
programs for splitting, joining, comparing and modifying files.

%prep
%setup -q

%build
touch Makefile.in
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/bin

make DESTDIR=$RPM_BUILD_ROOT install-strip

mv -f $RPM_BUILD_ROOT/usr/bin/cat $RPM_BUILD_ROOT/bin/cat
mv -f $RPM_BUILD_ROOT/usr/bin/sort $RPM_BUILD_ROOT/bin/sort

gzip -9nf $RPM_BUILD_ROOT/usr/info/textutils*

%post
/sbin/install-info /usr/info/textutils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/textutils.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
/bin/*
/usr/bin/*
%attr(-,root,man) /usr/man/*/*
/usr/info/textutils*
/usr/share/locale/*/*/*

%changelog
* Mon May 24 1999 Arne Coucheron <arneco@online.no>
  [1.22m-1]

* Wed May 12 1999 Arne Coucheron <arneco@online.no>
  [1.22k-1]
- added -q parameter to %setup
- using %name and %version macros
- using DESTDIR instead of prefix when make install
- using install-strip
- using %defattr macro in %files
- changed source URL

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Mar 06 1998 Michael K. Johnson <johnsonm@redhat.com>
- made tmpfile creation safe (even for root) in sort and tac.

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Rebuilt against glibc